%{?mingw_package_header}

%global         api_version      1.0

Name:		mingw-gstreamer-plugins-base
Version:        1.24.7
Release:	%mkrel 1
Summary:        Cross compiled GStreamer1 media framework base plug-ins
Group:          Sound/Utilities
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/
Source:         https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  gettext
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  orc

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-gettext
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-gstreamer >= %{version}
BuildRequires:	mingw32-libogg >= 1.0
BuildRequires:	mingw32-libvorbis >= 1.0
BuildRequires:  mingw32-libtheora
BuildRequires:  mingw32-orc
BuildRequires:	mingw32-gtk3
BuildRequires:	mingw32-pango
BuildRequires:  mingw32-libxml2

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-gettext
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-gstreamer >= %{version}
BuildRequires:	mingw64-libogg >= 1.0
BuildRequires:	mingw64-libvorbis >= 1.0
BuildRequires:  mingw64-libtheora
BuildRequires:  mingw64-orc
BuildRequires:	mingw64-gtk3
BuildRequires:	mingw64-pango
BuildRequires:  mingw64-libxml2

BuildRequires:  perl
# We need glib-mkenums
BuildRequires:	pkgconfig(glib-2.0)


%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


# Win32
%package -n mingw32-gstreamer-plugins-base
Summary:	Cross compiled GStreamer media framework base plug-ins
Requires:	mingw32-gstreamer >= %{version}

%description  -n mingw32-gstreamer-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

# Win64
%package -n mingw64-gstreamer-plugins-base
Summary:	Cross compiled GStreamer media framework base plug-ins
Requires:	mingw64-gstreamer >= %{version}

%description  -n mingw64-gstreamer-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gst-plugins-base-%{version}


%build
%mingw_meson                                                           \
    -Dpackage-name='%{_vendor} MinGW GStreamer-plugins-base package'   \
    -Dpackage-origin='http://www.%{_real_vendor}.org'                  \
    -D doc=disabled \
    -D orc=enabled \
    -D tremor=disabled \
    -D tests=disabled \
    -D examples=disabled

%mingw_ninja


%install
%mingw_ninja_install

# Drop man pages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Drop import libs for plugins
rm -rf %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.dll.a
rm -rf %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.dll.a

%mingw_find_lang gst-plugins-base-%{api_version}


# Win32
%files -n mingw32-gstreamer-plugins-base -f mingw32-gst-plugins-base-%{api_version}.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS

%{mingw32_bindir}/gst-device-monitor-%{api_version}.exe
%{mingw32_bindir}/gst-play-%{api_version}.exe
%{mingw32_bindir}/gst-discoverer-%{api_version}.exe
%{mingw32_bindir}/libgstallocators-%{api_version}-0.dll
%{mingw32_bindir}/libgstapp-%{api_version}-0.dll
%{mingw32_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw32_bindir}/libgstfft-%{api_version}-0.dll
%{mingw32_bindir}/libgstgl-%{api_version}-0.dll
%{mingw32_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw32_bindir}/libgstriff-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw32_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw32_bindir}/libgsttag-%{api_version}-0.dll
%{mingw32_bindir}/libgstvideo-%{api_version}-0.dll

%{mingw32_includedir}/gstreamer-%{api_version}/

%{mingw32_libdir}/gstreamer-%{api_version}/*.dll
%{mingw32_libdir}/gstreamer-%{api_version}/include
%{mingw32_libdir}/libgstallocators-%{api_version}.dll.a
%{mingw32_libdir}/libgstapp-%{api_version}.dll.a
%{mingw32_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw32_libdir}/libgstfft-%{api_version}.dll.a
%{mingw32_libdir}/libgstgl-%{api_version}.dll.a
%{mingw32_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw32_libdir}/libgstriff-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw32_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw32_libdir}/libgsttag-%{api_version}.dll.a
%{mingw32_libdir}/libgstvideo-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/*.pc

%{mingw32_datadir}/gst-plugins-base

# Win64
%files -n mingw64-gstreamer-plugins-base -f mingw64-gst-plugins-base-%{api_version}.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS

%{mingw64_bindir}/gst-device-monitor-%{api_version}.exe
%{mingw64_bindir}/gst-play-%{api_version}.exe
%{mingw64_bindir}/gst-discoverer-%{api_version}.exe
%{mingw64_bindir}/libgstallocators-%{api_version}-0.dll
%{mingw64_bindir}/libgstapp-%{api_version}-0.dll
%{mingw64_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw64_bindir}/libgstfft-%{api_version}-0.dll
%{mingw64_bindir}/libgstgl-%{api_version}-0.dll
%{mingw64_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw64_bindir}/libgstriff-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw64_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw64_bindir}/libgsttag-%{api_version}-0.dll
%{mingw64_bindir}/libgstvideo-%{api_version}-0.dll

%{mingw64_includedir}/gstreamer-%{api_version}/

%{mingw64_libdir}/gstreamer-%{api_version}/*.dll
%{mingw64_libdir}/gstreamer-%{api_version}/include
%{mingw64_libdir}/libgstallocators-%{api_version}.dll.a
%{mingw64_libdir}/libgstapp-%{api_version}.dll.a
%{mingw64_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw64_libdir}/libgstfft-%{api_version}.dll.a
%{mingw64_libdir}/libgstgl-%{api_version}.dll.a
%{mingw64_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw64_libdir}/libgstriff-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw64_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw64_libdir}/libgsttag-%{api_version}.dll.a
%{mingw64_libdir}/libgstvideo-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/*.pc

%{mingw64_datadir}/gst-plugins-base



%changelog
* Fri Aug 30 2024 daviddavid <daviddavid> 1.24.7-1.mga10
+ Revision: 2092253
- new version: 1.24.7

* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070346
- new version: 1.24.4

* Wed Sep 27 2023 tv <tv> 1.22.6-1.mga10
+ Revision: 1991594
- Update to 1.22.6

* Tue Jan 24 2023 daviddavid <daviddavid> 1.22.0-1.mga9
+ Revision: 1935939
- new version: 1.22.0

* Fri Dec 30 2022 daviddavid <daviddavid> 1.20.5-1.mga9
+ Revision: 1928256
- new version: 1.20.5

* Tue Nov 15 2022 tv <tv> 1.20.4-1.mga9
+ Revision: 1907423
- Update to 1.20.4

* Fri Jul 22 2022 tv <tv> 1.20.3-1.mga9
+ Revision: 1870108
- Update to 1.20.3

* Thu Apr 07 2022 tv <tv> 1.20.0-2.mga9
+ Revision: 1847125
- Update to 1.20.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 daviddavid <daviddavid> 1.18.4-1.mga9
+ Revision: 1713733
- new version: 1.18.4

* Tue Dec 15 2020 daviddavid <daviddavid> 1.18.2-1.mga8
+ Revision: 1657699
- new version: 1.18.2

* Sat Sep 26 2020 tv <tv> 1.18.0-1.mga8
+ Revision: 1630536
- Use same meson options as native package
- Drop import libs for plugins
- Update to 1.18.0

* Sat Sep 12 2020 tv <tv> 1.16.2-2.mga8
+ Revision: 1625068
- drop old obsoletes/conflicts
- BR mingw-libtheora
- switch to gtk3
- fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 ovitters <ovitters> 1.16.2-1.mga8
+ Revision: 1464179
- new version 1.16.2

* Mon Sep 23 2019 ovitters <ovitters> 1.16.1-1.mga8
+ Revision: 1445149
- new version 1.16.1

* Fri Apr 26 2019 daviddavid <daviddavid> 1.16.0-1.mga7
+ Revision: 1395500
- new version: 1.16.0
- move gstcompositor from plugins-bad-free to plugins-base

* Thu Oct 04 2018 ovitters <ovitters> 1.14.4-1.mga7
+ Revision: 1317454
- new version 1.14.4

* Thu Sep 20 2018 umeabot <umeabot> 1.14.3-2.mga7
+ Revision: 1279729
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 ovitters <ovitters> 1.14.3-1.mga7
+ Revision: 1259427
- new version 1.14.3

* Fri Jul 20 2018 ovitters <ovitters> 1.14.2-1.mga7
+ Revision: 1244442
- new version 1.14.2

* Tue Jul 17 2018 daviddavid <daviddavid> 1.14.1-1.mga7
+ Revision: 1243938
- new version: 1.14.1

* Thu Mar 29 2018 ovitters <ovitters> 1.12.5-1.mga7
+ Revision: 1213255
- new version 1.12.5

* Wed Jan 10 2018 mokraemer <mokraemer> 1.12.4-1.mga7
+ Revision: 1191985
- updated mingw gstreamer to 1.12

* Mon Apr 11 2016 tv <tv> 0.10.36-8.mga6
+ Revision: 1000310
- build fixes from FC

* Mon Feb 08 2016 umeabot <umeabot> 0.10.36-7.mga6
+ Revision: 942631
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.36-6.mga5
+ Revision: 743283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.36-5.mga5
+ Revision: 682448
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 0.10.36-4.mga4
+ Revision: 547370
- imported package mingw-gstreamer-plugins-base


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Paweł Forysiuk <tuxator@o2.pl> - 0.10.36-1
- Update to upstream version 0.10.36
- Drop obsolete patch

* Sun Mar 18 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10.35-4
- Added win64 support (contributed by Marc-André Lureau)
- Use mingw macros without leading underscore
- Backported fix for GNOME bug #654816
- Use %%global instead of %%define

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10.35-3
- Rebuild against the mingw-w64 toolchain

* Sun Feb 12 2012 - Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-2
- Minor packaging cleanup

* Sun Feb 12 2012 - Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-1
- Updated to 0.10.35
- Spec file updated to match Fedora guidelines

* Sat May 14 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.33-1
- Updated to 0.10.33
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.31-1
- Build with mingw32
